''*****************************************************
''*  4Ch NTSC Video Overlay based on HITT Consulting  *
''*            Video Overlay Object                   *
''*****************************************************



CON
  _clkmode        = xtal1 + pll8x ' Overlay Object works @ 40MHz ONLY!
  _xinfreq        = 5_000_000



OBJ

  Overlay1: "HITT_Video_Overlay_012"
  Overlay2: "HITT_Video_Overlay_012"
' Overlay3: "HITT_Video_Overlay_012"
' Overlay4: "HITT_Video_Overlay_012"
  Timer: "Timer"
  Serial: "HITT_Serial_Recv_Buffer_True_010"
  Heart: "Heartbeat"
   

VAR

  BYTE serChar
  
PUB Start

  Overlay1.Init(1,2,4)             'Start Overlay 1 on pins 1,2,3 
  Overlay2.Init(8,16,32)           'Start Overlay 2 on pins 4,5,6 
' Overlay3.Init(64,128,256)        'Start Overlay 3 on pins 7,8,9 
' Overlay4.Init(512,1024,2048)     'Start Overlay 4 on pins 10,11,12

  Timer.start                      'Start the Timer Object
  Timer.run                        'Start the Timer Counting

  Serial.Init(31, 19200)           'Start the Serial Object

  Heart.start(23,250)              'Start the Heartbeat Object

' dira[16..20] := 1
' dira[24..27] := 1 
    
  Overlay1.Cls(0)
  Overlay2.Cls(0)
' Overlay3.Cls(0)
' Overlay4.Cls(0)
  
  Overlay1.SetMode(4)
  Overlay2.SetMode(4)
' Overlay3.SetMode(4)
' Overlay4.SetMode(4)  
 
  Overlay1.MoveTo(0, 0)
  Overlay1.PutStr(STRING("Room 1"))

  Overlay2.MoveTo(0, 0)
  Overlay2.PutStr(STRING("Room 2"))

' Overlay3.MoveTo(0, 0)
' Overlay3.PutStr(STRING("Room 3"))

' Overlay4.MoveTo(0, 0)
' Overlay4.PutStr(STRING("Room 4"))  

  
  Main                             'Goto Main PUB 

  
PUB Main


  REPEAT                                 ' Main program loop  

    Overlay1.MoveTo(0,10)         
    Overlay1.PutStr(timer.showtimer)
    
    REPEAT WHILE Serial.CharReady        ' Continue to handle serial data for as long as it is available

      serChar:=Serial.GetChar
      
      CASE serChar
          0   : SetTime
          1   : SelectAudio
          2   : PIPSelect
          
 


PUB SetTime | hour, minute, second
  hour:=Serial.GetChar
  minute:=Serial.GetChar
  second:=Serial.GetChar
  Timer.set(hour,minute,second)


PUB SelectAudio | data

  data:=Serial.GetChar 

  If data := 1
    outa[16] := 1
    outa[17] := 0
    outa[18] := 0
    outa[19] := 0
    outa[20] := 0    
  If data := 2
    outa[16] := 0
    outa[17] := 1
    outa[18] := 0
    outa[19] := 0
    outa[20] := 0
  If data := 3
    outa[16] := 0
    outa[17] := 0
    outa[18] := 1
    outa[19] := 0
    outa[20] := 0
  If data := 4
    outa[16] := 0
    outa[17] := 0
    outa[18] := 0
    outa[19] := 1
    outa[20] := 0
  If data := 5
    outa[16] := 0
    outa[17] := 0
    outa[18] := 0
    outa[19] := 0
    outa[20] := 1 


PUB PIPSelect | data

  data:=Serial.GetChar

  If data := 1
    !outa[24] 
  If data := 2
    !outa[25]
  If data := 3
    !outa[26]
  If data := 4
    !outa[27] 
        